Subject: mingw32 - fork(), or pthreads?
From: [email-masked] (sjm)

22 Jun 1998 21:36:00 -0700
Message-ID: <9806221731.AA16798.cygnus.gnu-win32@frodo>
References: <[email-masked]>
To: Laszlo Vecsey <[email-masked]>
Cc: [email-masked]

Laszlo Vecsey writes:
 > How would I go about writing a fork() function (wrapper), or is there a
 > pthreads library that works with mingw32? I'm using the egcs/b19.1 setup. 

I use the win95/nt threads package directly. For me that was part of the point
of switching to ming so that I could start with a UNIX look but go straight to
the native implementation where that made more sense. I see no reason to use
UNIX wrapper functions for code I have no plans on moving back to UNIX. The
Microsoft threads package is at least adequate and is in fact better than many
I have used.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".